Commit 381d9e24 authored by Lauri Himanen's avatar Lauri Himanen
Browse files

Merge branch 'v0.8.1' into encyclopedia-api

parents 8923f09b 785ce383
Pipeline #76367 passed with stages
in 43 minutes and 43 seconds
......@@ -5,6 +5,7 @@
**/*.pyc
**/NOMAD.egg-info
.*env/
.pyenv*/
.pytest_cache
.vscode/
.volumes/
......
.DS_Store
.*env/
.pyenv*/
.pytest/
.python-version
.ipynb_checkpoints/
......
......@@ -96,7 +96,7 @@ tests:
install_tests:
stage: test
image: python:3.6
image: python:3.7
before_script:
- git submodule sync
- git submodule update --init --jobs=4
......@@ -107,9 +107,9 @@ install_tests:
- pip install numpy
- python setup.py compile
- python setup.py sdist
- pip install dist/nomad-0.8.0.tar.gz
- pip install dist/nomad-lab-*.tar.gz
- python -c "import nomad.datamodel, nomad.datamodel.metainfo, nomad.client"
- pip install dist/nomad-0.8.0.tar.gz[parsing]
- pip install `echo dist/nomad-lab-*.tar.gz`[parsing]
- python -m nomad.cli parse tests/data/parsers/vasp/vasp.xml
deploy:
......
......@@ -155,3 +155,39 @@
[submodule "dependencies/parsers/eels"]
path = dependencies/parsers/eels
url = https://github.com/markus1978/eels.git
[submodule "dependencies/parsers/namd"]
path = dependencies/parsers/namd
url = https://gitlab.mpcdf.mpg.de/nomad-lab/parser-namd.git
[submodule "dependencies/parsers/charmm"]
path = dependencies/parsers/charmm
url = https://gitlab.mpcdf.mpg.de/nomad-lab/parser-charmm.git
[submodule "dependencies/parsers/dftbplus"]
path = dependencies/parsers/dftbplus
url = https://gitlab.mpcdf.mpg.de/nomad-lab/parser-dftb-plus.git
[submodule "dependencies/parsers/asap"]
path = dependencies/parsers/asap
url = https://gitlab.mpcdf.mpg.de/nomad-lab/parser-asap.git
[submodule "dependencies/parsers/fplo"]
path = dependencies/parsers/fplo
url = https://gitlab.mpcdf.mpg.de/nomad-lab/parser-fplo.git
[submodule "dependencies/parsers/mopac"]
path = dependencies/parsers/mopac
url = https://gitlab.mpcdf.mpg.de/nomad-lab/parser-mopac.git
[submodule "dependencies/parsers/amber"]
path = dependencies/parsers/amber
url = https://gitlab.mpcdf.mpg.de/nomad-lab/parser-amber.git
[submodule "dependencies/parsers/gromacs"]
path = dependencies/parsers/gromacs
url = https://gitlab.mpcdf.mpg.de/nomad-lab/parser-gromacs.git
[submodule "dependencies/parsers/gromos"]
path = dependencies/parsers/gromos
url = https://gitlab.mpcdf.mpg.de/nomad-lab/parser-gromos.git
[submodule "dependencies/parsers/lammps"]
path = dependencies/parsers/lammps
url = https://gitlab.mpcdf.mpg.de/nomad-lab/parser-lammps.git
[submodule "dependencies/parsers/openkim"]
path = dependencies/parsers/openkim
url = https://gitlab.mpcdf.mpg.de/nomad-lab/parser-openkim.git
[submodule "dependencies/parsers/tinker"]
path = dependencies/parsers/tinker
url = https://gitlab.mpcdf.mpg.de/nomad-lab/parser-tinker.git
......@@ -20,7 +20,7 @@
# copy only necessities to a slim final image
# We use slim for the final image
FROM python:3.6-slim as final
FROM python:3.7-slim as final
# First built the GUI in a gui build image
FROM node:latest as gui_build
......@@ -35,9 +35,14 @@ RUN yarn run build
# RUN yarn run --silent react-docgen src/components --pretty > react-docgen.out
# Second, build all python stuff in a python build image
FROM python:3.6-stretch as build
FROM python:3.7-stretch as build
RUN mkdir /install
# Install linux package dependencies
RUN apt-get update
RUN apt-get install -y --no-install-recommends libgomp1
RUN apt-get install -y libmagic-dev curl vim make cmake swig libnetcdf-dev
# Install some specific dependencies necessary for the build process
RUN pip install --upgrade pip
RUN pip install fastentrypoints
......@@ -54,26 +59,33 @@ RUN pip install scikit-learn==0.20.2
RUN pip install ase==3.19.0
RUN pip install Pint
RUN pip install matid
RUN pip install mdtraj==1.9.1
RUN pip install mdanalysis==0.16.2
RUN pip install mdtraj
RUN pip install mdanalysis
# Make will be necessary to build the docs with sphynx
RUN apt-get update && apt-get install -y make
RUN apt-get update && apt-get install -y vim
# Install pymolfile (required by some parsers)
RUN git clone -b nomad-fair https://gitlab.mpcdf.mpg.de/nomad-lab/pymolfile.git
WORKDIR /pymolfile/
RUN python3 setup.py install
RUN rm -rf /pymolfile
# Copy files and install nomad@FAIRDI
WORKDIR /install
COPY . /install
RUN python setup.py compile
RUN pip install .[all]
RUN python setup.py sdist
RUN cp dist/nomad-lab-*.tar.gz dist/nomad-lab.tar.gz
WORKDIR /install/docs
# COPY --from=gui_build /app/react-docgen.out /install/docs
RUN make html
RUN \
find /usr/local/lib/python3.6/ -name 'tests' ! -path '*/networkx/*' -exec rm -r '{}' + && \
find /usr/local/lib/python3.6/ -name 'test' -exec rm -r '{}' + && \
find /usr/local/lib/python3.6/site-packages/ -name '*.so' -print -exec sh -c 'file "{}" | grep -q "not stripped" && strip -s "{}"' \;
find /usr/local/lib/python3.7/ -name 'tests' ! -path '*/networkx/*' -exec rm -r '{}' + && \
find /usr/local/lib/python3.7/ -name 'test' -exec rm -r '{}' + && \
find /usr/local/lib/python3.7/site-packages/ -name '*.so' -print -exec sh -c 'file "{}" | grep -q "not stripped" && strip -s "{}"' \;
# Third, create a slim final image
FROM final
......@@ -84,7 +96,7 @@ RUN apt-get update && apt-get install -y --no-install-recommends libgomp1 && apt
COPY . /app
WORKDIR /app
# transfer installed packages from dependency stage
COPY --from=build /usr/local/lib/python3.6/site-packages /usr/local/lib/python3.6/site-packages
COPY --from=build /usr/local/lib/python3.7/site-packages /usr/local/lib/python3.7/site-packages
RUN echo "copy 1"
# copy the meta-info, since it files are loaded via relative paths. TODO that should change.
COPY --from=build /install/dependencies/nomad-meta-info /app/dependencies/nomad-meta-info
......
......@@ -26,12 +26,12 @@ You can install the `nomad` Python package from source distribution with pip. Pl
note, that this will only install part of NOMAD's dependencies that will only allow
your to use NOMAD's client library, e.g. to access the NOMAD Archive.
```
pip install http://labdev-nomad.esc.rzg.mpg.de/dev/nomad/v0-8-0/dist/nomad-0.8.0
pip install nomad --extra-index-url https://repository.nomad-coe.eu/v0.8/dist
```
To **use the NOMAD parsers for example**, install the `parsing` extra:
```
pip install http://labdev-nomad.esc.rzg.mpg.de/dev/nomad/v0-8-0/dist/nomad-0.8.0[parsing]
pip install nomad[parsing] --extra-index-url https://repository.nomad-coe.eu/v0.8/dist
nomad parse --show-backend <your-file-to-parse>
```
......@@ -46,9 +46,12 @@ contributing, and API reference.
Omitted versions are plain bugfix releases with only minor changes and fixes.
### v0.8.1
- switched to support Python 3.7
### v0.8.0
- new underlying datamodel that allows to maintain multiple domains
- mulitple domains supported the GUI
- multiple domains supported the GUI
- new metainfo implementation
- API endpoint to access the metainfo
- new archive based on new metainfo
......@@ -175,4 +178,4 @@ The first production version of nomad@fairdi as the upload API and gui for NOMAD
### v0.4.2
- bugfixes regarding the migration
- better migration configurability and reproducibility
- scales to multi node kubernetes deployment
- scales to multi node kubernetes deployment
\ No newline at end of file
Subproject commit c424e75671e8c09c2f29c90ec63feafd0a2a706e
Subproject commit a2df84b2dfc2c96344e7261580a40d655c904047
Subproject commit 09b52a7494b9655c53bbe3dcab2719823e5f2e27
Subproject commit dd555aad1ce925b5b56be7e55b6650f959ea5261
Subproject commit dc2b8d5a08fb27e53057f27d9854b22ffee28f06
Subproject commit c447c6b07d8528210975337571c98096caf26770
Subproject commit e4bd0a1bd72092de4f41c88ebf843265c162a84c
Subproject commit 2b49f652182adb2139f9bc7503c25212c5ad35a7
Subproject commit b830cf96f325c521c232ce8ccba83073eb5f3bab
Subproject commit ae0068cd75c1b0f6bb818e8cbd5a6a72fe7722f4
Subproject commit 4a74602f7dd287da835cf6a64228b5ad53fd09be
Subproject commit 433f848030759d28bacb780d800877445490da70
Subproject commit aac03d990b7823776c51a1976b2d5a304e4a1cce
Subproject commit 3d225e6858fc449e12c5ca45d9597562011f6589
Subproject commit e38d2615a243c775a378e47a461c731babebf3e6
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment